Loading...
Searching...
No Matches
ISMRMRD::ProtocolSerializer Class Reference

## Public Member Functions

| ProtocolSerializer (WritableStreamView &ws)
void | serialize (const ConfigFile &cf)
void | serialize (const ConfigText &ct)
void | serialize (const TextMessage &tm)
void | serialize (const IsmrmrdHeader &hdr)
void | serialize (const Acquisition &acq)
template<typename T>
void | serialize (const Image< T > &img)
void | serialize (const Waveform &wfm)
template<typename T>
void | serialize (const NDArray< T > &arr)
void | close ()

## Protected Member Functions

void | write_msg_id (uint16_t id)

## Protected Attributes

WritableStreamView & | _ws

The documentation for this class was generated from the following files:

- serialization.h
- serialization.cpp